Subject: Re: [PATCH 1/3] help.c: Fix detection of custom merge strategy on cygwin

From: Mark Levedahl <[email-masked]>
Date: Sat, 18 Jun 2011 18:46:16 -0400

On 06/18/2011 12:57 PM, Ramsay Jones wrote:
>
> Anyway, if you don't mind executing the "WIN32 code block" unnecessarily
> on cygwin (I don't think it would be too expensive) then we could simply
> reduce the patch to:
>
> -#ifdef WIN32
> +#if defined(WIN32) || defined(__CYGWIN__)
>   {	/* cannot trust the executable bit, peek into the file instead */
>
> (I've simply typed the above in my MUA, so not tested, obviously!)
>
> This is exactly what Johannes proposed last year. :)
>
> ATB,
> Ramsay Jones
>

Please, no. Cygwin's git is already slow enough, and adding yet another 
peek into a file *after* cygwin already did that is just making it worse.

(Muttering to self: Cygwin's goal is to replicate Linux / Posix behavior 
under Windows, why did git ever adopt code to make cygwin more like 
Windows rather than just treating cygwin as another Posix'y environment? 
Those who want more speed really should just be using the native win32 
port and deal with the lack of file modes, crlf issues, etc.)

Mark